Bug 233174 - devel/riscv64-gcc: add support for -fuse-ld=lld
Summary: devel/riscv64-gcc: add support for -fuse-ld=lld
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Li-Wen Hsu
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2018-11-12 17:31 UTC by Brooks Davis
Modified: 2018-11-23 01:49 UTC (History)
1 user (show)

See Also:
bugzilla: maintainer-feedback? (lwhsu)


Attachments
Support -fuse-ld=lld (4.36 KB, patch)
2018-11-12 17:31 UTC, Brooks Davis
brooks: maintainer-approval? (lwshu)
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Brooks Davis freebsd_committer 2018-11-12 17:31:13 UTC
Created attachment 199179 [details]
Support -fuse-ld=lld

Merge support from upstream gcc for -fuse-ld=lld.  It's already committed and should appear in a future release.
Comment 1 commit-hook freebsd_committer 2018-11-13 02:59:20 UTC
A commit references this bug:

Author: lwhsu
Date: Tue Nov 13 02:58:31 UTC 2018
New revision: 484853
URL: https://svnweb.freebsd.org/changeset/ports/484853

Log:
  Add support of -fuse-ld=lld

  Merge support from upstream gcc for -fuse-ld=lld.  It's already committed and
  should appear in a future release.

  PR:		233174
  Submitted by:	brooks
  MFH:		2018Q4
  Sponsored by:	The FreeBSD Foundation

Changes:
  head/devel/riscv64-gcc/Makefile
  head/devel/riscv64-gcc/files/
  head/devel/riscv64-gcc/files/patch-fuse-ld=lld
Comment 2 commit-hook freebsd_committer 2018-11-13 08:21:26 UTC
A commit references this bug:

Author: lwhsu
Date: Tue Nov 13 08:21:09 UTC 2018
New revision: 484862
URL: https://svnweb.freebsd.org/changeset/ports/484862

Log:
  MFH: r484853 r484854

  Add support of -fuse-ld=lld

  Merge support from upstream gcc for -fuse-ld=lld.  It's already committed and
  should appear in a future release.

  PR:		233174
  Submitted by:	brooks
  Sponsored by:	The FreeBSD Foundation

  Remove a sneaked change in r484853

  Sponsored by:	The FreeBSD Foundation

  Approved by:	ports-secteam (miwi)

Changes:
_U  branches/2018Q4/
  branches/2018Q4/devel/riscv64-gcc/Makefile
  branches/2018Q4/devel/riscv64-gcc/files/